package intrinsic.mx.core;

public class Singleton extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Singleton() {
}


/** Static Methods */
public static native void registerClass(String arg0, intrinsic.Class arg1);
public static native Object getInstance(String arg0);
public static native intrinsic.Class getClass(String arg0);

/** Methods */

}
